# QDOS Makefile (for NTc68 & GNU Make)


CFLAG1 = -O -DCLINT
CFLAGS = $(CFLAG1) -DHAVE_STDLIB -DUSE_DIRENT -DANSI_ARROWS
OBJ = editline.o complete.o sysqdos.o

CC = cc
LD = ld


#   *Explicit Rules*

all: libedit.a

libedit.a: $(OBJ)
	cat >libedit.a $(OBJ)

#  *File dependencies*

editline.o  : editline.c editline.h edlproto.h sysqdos.h

complete.o  : complete.c editline.h sysqdos.h

sysqdos.o    : sysqdos.c editline.h sysqdos.h

clean:
	del *.o 
	del libedit.a
	
clobber:
	del *.o 
	del *.bak
	del *.a

testit: testit.o
	$(LD) -otestit testit.o libedit.a -lvt

#
#------------------------------- end of makefile ---------------------------
