# Makefile for UNIX version of ATP Nov 28, 1992 (read all this stuff first!)
# -------------------------------------------------------------------------
# This Makefile has been tested with Linux, Esix, and 386bsd. ATP 
# is written in standard ANSI C. ATP is command line driven and should
# work with most any terminal, although ANSI and vt100 terminals work best.
# 
CC = cc
LD = ld
LINT = 
# Attention les francophones!
# Si vous voulez, effacez -DENGLISH dessous et substituez -DFRENCH 
#


#
CFLAGS = -DENGLISH -O
LDFLAGS = 
#
HEADERS = readlib.h makemail.h system.h ansi.h qlib.h reader.h 
#
OBJECTS = read.o readlib.o makemail.o system.o ansi.o qlib.o text.o chosetag.o
#
SRC = read.c readlib.c makemail.c system.c ansi.c qlib.c text.c chosetag.c

#
all:	atp

atp:  $(OBJECTS) 
	$(LD) $(LDFLAGS) -oatp $(OBJECTS) editline/libedit.a -lvt
	
chosetag.o : chosetag.c reader.h 

ansi.o : ansi.c ansi.h

makemail.o : makemail.c system.h ansi.h makemail.h qlib.h reader.h readlib.h 

qlib.o : qlib.c system.h ansi.h qlib.h reader.h readlib.h 

read.o : read.c system.h ansi.h makemail.h qlib.h reader.h readlib.h 

readlib.o : readlib.c system.h ansi.h makemail.h qlib.h reader.h readlib.h 

system.o : system.c system.h ansi.h 

text.o : text.c system.h ansi.h reader.h 

#-------------------------end of makefile------------------------------------
